Subject: Re: FVWM: Maximising windows

From: Dan Espen <[email-masked]>
Date: Fri, 08 Mar 2002 13:13:58 -0500

Andy Arbon <[email-masked]> writes:
> Dan Espen wrote:
>  > Andy Arbon <[email-masked]> writes:
>  >
>  >> Hello,
>  >>
>  >> I have a dual monitor system using a dual head NVidia card. I have
>  >> 2 key bindings for maximising windows on to either monitor.
>  >>
>  >> For the first monitor I Maximise the window to 1152x868 - the res
>  >> of that monitor. For the second I Maximise the window to 800x600
>  >> and move it to 1152, 0.
>  >>
>  >> This works fine. The problem comes in the folowing sequence:
>  >>
>  >> 1) Maximise window on to one of the screens 2) Try to maximise the
>  >> same window on to the other screen
>  >>
>  >> What should happen is that the window switches from one screen to
>  >> the other (and changes size as a consequence) but what actually
>  >> happens is the window de-maximises from whichever screen it was
>  >> on.. ie. it performs a restore instead of the maximise.
>  >>
>  >> Presumably this is because normally when you execute a Maximise on
>  >> a maximised window you are in fact trying to de-maximise it, but
>  >> in this case I have two different states that are both maximised!
>  >>
>  >> Is there any way to distinguish between to two different maximised 
> states
>  >> so that FVWM will not try to restore a window when moving between them?
>  >>
>  >>
>  >> Hope this isn't too confusing ;)
>  >>
>  >
>  > Please mention the OS, X server and FVWM release you are using and
>  > if you are using Xinerama.
>  >
>  > Recent releases of Fvwm have Xinerama support.
>  >
>  >
> Hey,
> 
> I'm using FVWM 2.4.4, Linux (RH 7.2) and X 4.2.0. I have Xinerama
> support enabled, but the NVidia drivers don't actually use Xinerama as 
> they provide their own way to use the twinview feature of the card. They 
> say they have partially implemented Xinerama support to help window 
> managers, but they don't give specifics.

You need to reply to the FVWM list, I've taken care of that.

I'm not one of the Xinerama experts, I'm happy with my single
21inch monitor.  I just knew that someone that can answer your
question would need this information.

-- 
Dan Espen                           E-mail: [email-masked]
444 Hoes Lane  Room RRC 1C-214      Phone: (732) 699-5570
Piscataway, NJ 08854
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].